commit:     6e02e256c0cd69ff41a1fd3cda5277117b901428
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Mon May 21 21:35:20 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun  9 06:17:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e02e256

app-backup/restic: verbump to 0.9.0

Closes: https://bugs.gentoo.org/656622
Closes: https://github.com/gentoo/gentoo/pull/8519

 app-backup/restic/Manifest            |  1 +
 app-backup/restic/restic-0.9.0.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-backup/restic/Manifest b/app-backup/restic/Manifest
index 8991f2d5147..f9126665d28 100644
--- a/app-backup/restic/Manifest
+++ b/app-backup/restic/Manifest
@@ -1,2 +1,3 @@
 DIST restic-0.8.1.tar.gz 40330154 BLAKE2B 
6758ae4cd7b3caf1bb58b9b95ddd9b99422f2a5997f37317381ec2714a4bc369331e1ba5accb791a2733eddcebdb056256a25b837cad6926f86ec61265d95324
 SHA512 
02d45b70b94514d3491297dcd34f26db854b6153a1aa297aaa9c938e09d65429fbe0dedb3c028ad38c769049f814c7a923481adfe9962a35dc39a7477a80fdab
 DIST restic-0.8.3.tar.gz 48746281 BLAKE2B 
4161326068165b5ba19e9ee0e6386aa1df29a961a42509a2cb7924958100b9412abd1dd27d299d1eef76fdd4731d4a56f0a68e796a46071229a3e6767d3a6bb7
 SHA512 
758b2c69af8aad6bb62dc750141d5f5a1954ca2b51350ef59c35fd10afefaddc4d8d0cdd5914f249594946db6138124a48fba531b8a24353f022ccea773a240c
+DIST restic-0.9.0.tar.gz 51049118 BLAKE2B 
4089a0eafe0f3778d540ffb87d5d773f1bb4296c3cb7a085a38cc1ac54742392790ccf61145ed3ff19a7e35b358e0b40c7f3edf6ee661e22ffd00efafa2bdee1
 SHA512 
c01e8450c7afbea59d86a53a5491e562ba5d1ab7fe3e96e0e5b53d96f4df2cf051d7abaef742ff2ecce759e2cd97386566e1c19260f0d74ae678edbe200aa885

diff --git a/app-backup/restic/restic-0.9.0.ebuild 
b/app-backup/restic/restic-0.9.0.ebuild
new file mode 100644
index 00000000000..89515ce18d0
--- /dev/null
+++ b/app-backup/restic/restic-0.9.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1 golang-vcs-snapshot
+
+DESCRIPTION="A backup program that is fast, efficient and secure"
+HOMEPAGE="https://restic.github.io/";
+SRC_URI="https://github.com/restic/restic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGO_PN="github.com/restic/restic"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+RDEPEND="sys-fs/fuse:0"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+       local mygoargs=(
+               -v
+               -work
+               -x
+               -tags release
+               -ldflags "-X main.version=${PV}"
+               -asmflags "-trimpath=${S}"
+               -gcflags "-trimpath=${S}"
+               -o restic ${EGO_PN}/cmd/restic
+       )
+
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go build "${mygoargs[@]}" || die
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go test -timeout 30m -v -work -x ${EGO_PN}/cmd/... 
${EGO_PN}/internal/... || die
+}
+
+src_install() {
+       dobin restic
+
+       newbashcomp doc/bash-completion.sh "${PN}"
+
+       insinto /usr/share/zsh/site-functions
+       newins doc/zsh-completion.zsh _restic
+
+       doman doc/man/*
+       dodoc doc/*.rst
+}

Reply via email to